Subject: Re: bug#65187: 29.1; right edge of wide image can not be displayed in image-mode

From: [email-masked]
Date: Wed, 16 Aug 2023 12:26:41 +0900

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 15 Aug 2023 12:54:57 +0900
>> 
>> I can not view the right red line with typing many 'C-f's or 'C-e C-f'.
>
> Btw: this I cannot reproduce no matter how hard I try.  Enough C-f's
> eventually bring the right red border into view.
>
> Are you sure you cannot see it, no matter how many times you type C-f?
> Whazt happens with window-hscroll when you type more and more C-f's?
> doesn't it grow all the time?
>
> C-f in this case should run the command image-set-window-hscroll, so
> make sure this is what happens in your case.

I am using Windows PC with settings:
  system->display->scaling and layout->125%

Changing the value to 100% and testing with a new instance of emacs,
I can view the right red line with typing 'C-e'.
Typing many 'C-f's works, too.